GNU bug report logs - #49844
Highlight non-selected minibuffer prompt

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Severity: wishlist; Reported by: Juri Linkov <juri@HIDDEN>; Keywords: patch; dated Tue, 3 Aug 2021 08:16:02 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 49844 <at> debbugs.gnu.org:


Received: (at 49844) by debbugs.gnu.org; 6 Nov 2021 19:10:26 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Nov 06 15:10:26 2021
Received: from localhost ([127.0.0.1]:50697 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mjR58-0003qH-JL
	for submit <at> debbugs.gnu.org; Sat, 06 Nov 2021 15:10:26 -0400
Received: from relay4-d.mail.gandi.net ([217.70.183.196]:38123)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <juri@HIDDEN>) id 1mjR56-0003q2-T9
 for 49844 <at> debbugs.gnu.org; Sat, 06 Nov 2021 15:10:25 -0400
Received: (Authenticated sender: juri@HIDDEN)
 by relay4-d.mail.gandi.net (Postfix) with ESMTPSA id 674D0E0008;
 Sat,  6 Nov 2021 19:10:16 +0000 (UTC)
From: Juri Linkov <juri@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: Re: bug#49844: Highlight non-selected minibuffer prompt
Organization: LINKOV.NET
References: <87h7g7bhxs.fsf@HIDDEN> <87tuk5ejup.fsf@HIDDEN>
 <87wnp1a9f1.fsf@HIDDEN> <878ry2atth.fsf@HIDDEN>
Date: Sat, 06 Nov 2021 20:43:31 +0200
In-Reply-To: <878ry2atth.fsf@HIDDEN> (Lars Ingebrigtsen's message of "Sat,
 06 Nov 2021 03:42:18 +0100")
Message-ID: <86mtmh6uhw.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (x86_64-pc-linux-gnu)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 49844
Cc: 49844 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

>>> I like it -- but does this need to be tied to
>>> minibuffer-depth-indicate-mode?  Indicating that the minibuffer isn't
>>> active in this way may be attractive even if you don't have that
>>> switched on?
>>
>> Yeah, I don't like tying to minibuffer-depth-indicate-mode too.
>> But I have no idea where to put it otherwise.
>> Adding a new package for 25 lines makes no sense.
>
> Juri -- please go ahead and put this in minibuffer.el.

ISTR, in bug#50141 we decided to add more generalized code to windmove.el
that will provide 4 customizable types of window backgrounds colors
with different faces:

1. selected window
2. non-selected window
3. selected minibuffer window
4. non-selected minibuffer window




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#49844; Package emacs. Full text available.

Message received at 49844 <at> debbugs.gnu.org:


Received: (at 49844) by debbugs.gnu.org; 6 Nov 2021 02:42:30 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Nov 05 22:42:30 2021
Received: from localhost ([127.0.0.1]:47958 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mjBf3-0004PV-SJ
	for submit <at> debbugs.gnu.org; Fri, 05 Nov 2021 22:42:30 -0400
Received: from quimby.gnus.org ([95.216.78.240]:46848)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1mjBf2-0004PI-3u
 for 49844 <at> debbugs.gnu.org; Fri, 05 Nov 2021 22:42:28 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=85gqJrTkmfrBVDCW5oARZMVGxqTRAbFJbpB/YPjcmG8=; b=Niq3Qzm56dJ3J3zc/t5UuM8m82
 HOwH1bBsrKGHWBk+mdJQoCdx+Q/yOXCveD9h7QsAmpSLAAzosQshD4z5fXKyKypWultkm1+VrTLnA
 mHXPYEbQmQjdvkp9Orp7Tr/SrQVy3gZp9UBy/dbV2nh3sW8fFAdfgpG4Chavwo5hb33c=;
Received: from [84.212.220.105] (helo=elva)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1mjBet-00026E-8O; Sat, 06 Nov 2021 03:42:22 +0100
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Juri Linkov <juri@HIDDEN>
Subject: Re: bug#49844: Highlight non-selected minibuffer prompt
References: <87h7g7bhxs.fsf@HIDDEN> <87tuk5ejup.fsf@HIDDEN>
 <87wnp1a9f1.fsf@HIDDEN>
X-Now-Playing: Mirry's _Mirry_: "Study in F"
Date: Sat, 06 Nov 2021 03:42:18 +0100
In-Reply-To: <87wnp1a9f1.fsf@HIDDEN> (Juri Linkov's message of "Wed, 
 04 Aug 2021 11:41:54 +0300")
Message-ID: <878ry2atth.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  Juri Linkov <juri@HIDDEN> writes: >> I like it -- but
 does this need to be tied to >> minibuffer-depth-indicate-mode? Indicating
 that the minibuffer isn't >> active in this way may be attractive even if
 you don't have that >> switched [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 49844
Cc: 49844 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Juri Linkov <juri@HIDDEN> writes:

>> I like it -- but does this need to be tied to
>> minibuffer-depth-indicate-mode?  Indicating that the minibuffer isn't
>> active in this way may be attractive even if you don't have that
>> switched on?
>
> Yeah, I don't like tying to minibuffer-depth-indicate-mode too.
> But I have no idea where to put it otherwise.
> Adding a new package for 25 lines makes no sense.

Juri -- please go ahead and put this in minibuffer.el.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#49844; Package emacs. Full text available.

Message received at 49844 <at> debbugs.gnu.org:


Received: (at 49844) by debbugs.gnu.org; 6 Nov 2021 02:41:36 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Nov 05 22:41:36 2021
Received: from localhost ([127.0.0.1]:47954 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mjBeC-0004Nx-KC
	for submit <at> debbugs.gnu.org; Fri, 05 Nov 2021 22:41:36 -0400
Received: from quimby.gnus.org ([95.216.78.240]:46832)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1mjBeB-0004Nk-H3
 for 49844 <at> debbugs.gnu.org; Fri, 05 Nov 2021 22:41:35 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=MSGF2pw93727EY48vFhsd2vORXcq+EXJNnp26l+j6y4=; b=nSamB5QdYjrP+JAyAdm28vgbGc
 NLFaWSPTNTC+FceuFupsLXeHPBnvA3dWm6wpvLPKKZeBERCxQnChipdLeXrZvgkErTXnFWljNaJn8
 r+FxlsM4GER+kWXsB9HS4IZ3MYHd3khfRhk1E1rz84Lf9km0JkYKVuwJO8IDuOEcLgUQ=;
Received: from [84.212.220.105] (helo=elva)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1mjBe2-00025s-Dj; Sat, 06 Nov 2021 03:41:29 +0100
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#49844: Highlight non-selected minibuffer prompt
References: <87h7g7bhxs.fsf@HIDDEN> <87tuk5ejup.fsf@HIDDEN>
 <87wnp1a9f1.fsf@HIDDEN> <87pmutlhew.fsf@HIDDEN>
 <87pmus27zg.fsf@HIDDEN> <83v94kjv2t.fsf@HIDDEN>
 <8735roi2bf.fsf@HIDDEN>
X-Now-Playing: Mirry's _Mirry_: "Study in F"
Date: Sat, 06 Nov 2021 03:41:25 +0100
In-Reply-To: <8735roi2bf.fsf@HIDDEN> (Lars Ingebrigtsen's message of "Thu,
 05 Aug 2021 13:00:20 +0200")
Message-ID: <87czneatuy.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  Lars Ingebrigtsen <larsi@HIDDEN> writes: > So I think we
 should just change the heading and put more minibuffer > stuff in
 minibuffer.el. I've now done so in Emacs 29. 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 49844
Cc: 49844 <at> debbugs.gnu.org, Juri Linkov <juri@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Lars Ingebrigtsen <larsi@HIDDEN> writes:

> So I think we should just change the heading and put more minibuffer
> stuff in minibuffer.el.

I've now done so in Emacs 29.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#49844; Package emacs. Full text available.

Message received at 49844 <at> debbugs.gnu.org:


Received: (at 49844) by debbugs.gnu.org; 5 Aug 2021 11:00:31 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Aug 05 07:00:31 2021
Received: from localhost ([127.0.0.1]:46033 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mBb71-0006E8-5J
	for submit <at> debbugs.gnu.org; Thu, 05 Aug 2021 07:00:31 -0400
Received: from quimby.gnus.org ([95.216.78.240]:52042)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1mBb6z-0006Dv-Hu
 for 49844 <at> debbugs.gnu.org; Thu, 05 Aug 2021 07:00:30 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=ZMWqbN1OfIVFeb6y6/laH+OJytlV1RNz56K+4kgZ8t4=; b=tNB4mWmsg+kOrsviS0jgHzCwHr
 jPfPQUbhy9EwtKFYBvRIC7D/+x9PHNYh+2Q9VitvXxx6p7QxPXG/jA0qYBZvgc+t3F4DdPNxkSvzh
 n1eKeMjkDx8rqOvN1j0ibyrS/BR4YGzxU8UhbWJEeX5wx5xEIhwodUI8qIIcIxe6DmA0=;
Received: from [84.212.220.105] (helo=elva)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1mBb6q-0002nj-Pw; Thu, 05 Aug 2021 13:00:23 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#49844: Highlight non-selected minibuffer prompt
References: <87h7g7bhxs.fsf@HIDDEN> <87tuk5ejup.fsf@HIDDEN>
 <87wnp1a9f1.fsf@HIDDEN> <87pmutlhew.fsf@HIDDEN>
 <87pmus27zg.fsf@HIDDEN> <83v94kjv2t.fsf@HIDDEN>
Date: Thu, 05 Aug 2021 13:00:20 +0200
In-Reply-To: <83v94kjv2t.fsf@HIDDEN> (Eli Zaretskii's message of "Thu, 05 Aug
 2021 08:53:46 +0300")
Message-ID: <8735roi2bf.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  Eli Zaretskii <eliz@HIDDEN> writes: >> Ironically,
 minibuffer.el
 is intended for code that deals with >> completions. Its first line is >>
 >> ; ; ;
 minibuffer.el --- Minibuffer completion functions > > That's not carved
 in stone, though. [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 49844
Cc: 49844 <at> debbugs.gnu.org, Juri Linkov <juri@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Eli Zaretskii <eliz@HIDDEN> writes:

>> Ironically, minibuffer.el is intended for code that deals with
>> completions.  Its first line is
>> 
>>   ;;; minibuffer.el --- Minibuffer completion functions
>
> That's not carved in stone, though.  We could change that heading
> accordingly, and start adding stuff to minibuffer.el that doesn't
> necessarily deal with completion.

And there already is a lot of that in minibuffer.el -- just scroll to
the bottom of the file and page up a bit.  At least the last 100 lines
have nothing to do with completion.

So I think we should just change the heading and put more minibuffer
stuff in minibuffer.el.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#49844; Package emacs. Full text available.

Message received at 49844 <at> debbugs.gnu.org:


Received: (at 49844) by debbugs.gnu.org; 5 Aug 2021 05:53:55 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Aug 05 01:53:55 2021
Received: from localhost ([127.0.0.1]:45670 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mBWKJ-0006vL-JM
	for submit <at> debbugs.gnu.org; Thu, 05 Aug 2021 01:53:55 -0400
Received: from eggs.gnu.org ([209.51.188.92]:56996)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1mBWKH-0006v8-RS
 for 49844 <at> debbugs.gnu.org; Thu, 05 Aug 2021 01:53:54 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:55848)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1mBWKC-0005S2-5I; Thu, 05 Aug 2021 01:53:48 -0400
Received: from 84.94.185.95.cable.012.net.il ([84.94.185.95]:3491
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1mBWKB-0000mc-P2; Thu, 05 Aug 2021 01:53:48 -0400
Date: Thu, 05 Aug 2021 08:53:46 +0300
Message-Id: <83v94kjv2t.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Juri Linkov <juri@HIDDEN>
In-Reply-To: <87pmus27zg.fsf@HIDDEN> (message from Juri Linkov on
 Thu, 05 Aug 2021 00:32:19 +0300)
Subject: Re: bug#49844: Highlight non-selected minibuffer prompt
References: <87h7g7bhxs.fsf@HIDDEN> <87tuk5ejup.fsf@HIDDEN>
 <87wnp1a9f1.fsf@HIDDEN> <87pmutlhew.fsf@HIDDEN>
 <87pmus27zg.fsf@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 49844
Cc: 49844 <at> debbugs.gnu.org, larsi@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Juri Linkov <juri@HIDDEN>
> Date: Thu, 05 Aug 2021 00:32:19 +0300
> Cc: 49844 <at> debbugs.gnu.org
> 
> > Can't we just put it in minibuffer.el?  (But then there should probably
> > be a user option to switch it on/off.)
> 
> Ironically, minibuffer.el is intended for code that deals with
> completions.  Its first line is
> 
>   ;;; minibuffer.el --- Minibuffer completion functions

That's not carved in stone, though.  We could change that heading
accordingly, and start adding stuff to minibuffer.el that doesn't
necessarily deal with completion.

> But most code that deals with the minibuffer
> is somewhere in the middle of simple.el.

Which is somewhat sub-optimal, I think.

> Maybe it would make sense to create a new file with the name e.g.
> minibuf-x.el as a mixed bag of tiny minibuffer features?

I don't think a new file is justified at this time.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#49844; Package emacs. Full text available.

Message received at 49844 <at> debbugs.gnu.org:


Received: (at 49844) by debbugs.gnu.org; 4 Aug 2021 22:04:55 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Aug 04 18:04:55 2021
Received: from localhost ([127.0.0.1]:45339 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mBP0Q-0003ex-PB
	for submit <at> debbugs.gnu.org; Wed, 04 Aug 2021 18:04:54 -0400
Received: from relay5-d.mail.gandi.net ([217.70.183.197]:34189)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <juri@HIDDEN>) id 1mBP0N-0003eh-Q0
 for 49844 <at> debbugs.gnu.org; Wed, 04 Aug 2021 18:04:52 -0400
Received: (Authenticated sender: juri@HIDDEN)
 by relay5-d.mail.gandi.net (Postfix) with ESMTPSA id 50DCA1C0002;
 Wed,  4 Aug 2021 22:04:43 +0000 (UTC)
From: Juri Linkov <juri@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: Re: bug#49844: Highlight non-selected minibuffer prompt
Organization: LINKOV.NET
References: <87h7g7bhxs.fsf@HIDDEN> <87tuk5ejup.fsf@HIDDEN>
 <87wnp1a9f1.fsf@HIDDEN> <87pmutlhew.fsf@HIDDEN>
Date: Thu, 05 Aug 2021 00:32:19 +0300
In-Reply-To: <87pmutlhew.fsf@HIDDEN> (Lars Ingebrigtsen's message of "Wed,
 04 Aug 2021 10:53:43 +0200")
Message-ID: <87pmus27zg.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (x86_64-pc-linux-gnu)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 49844
Cc: 49844 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

>>> I like it -- but does this need to be tied to
>>> minibuffer-depth-indicate-mode?  Indicating that the minibuffer isn't
>>> active in this way may be attractive even if you don't have that
>>> switched on?
>>
>> Yeah, I don't like tying to minibuffer-depth-indicate-mode too.
>> But I have no idea where to put it otherwise.
>> Adding a new package for 25 lines makes no sense.
>
> Can't we just put it in minibuffer.el?  (But then there should probably
> be a user option to switch it on/off.)

Ironically, minibuffer.el is intended for code that deals with
completions.  Its first line is

  ;;; minibuffer.el --- Minibuffer completion functions

But most code that deals with the minibuffer
is somewhere in the middle of simple.el.

So neither minibuffer.el nor simple.el is suitable.
Perhaps this was the reason why there are a lot of tiny
packages that provide various minibuffer features,
such as mb-depth.el, minibuf-eldef.el, rfn-eshadow.el, etc.

Maybe it would make sense to create a new file with the name e.g.
minibuf-x.el as a mixed bag of tiny minibuffer features?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#49844; Package emacs. Full text available.

Message received at 49844 <at> debbugs.gnu.org:


Received: (at 49844) by debbugs.gnu.org; 4 Aug 2021 08:53:54 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Aug 04 04:53:54 2021
Received: from localhost ([127.0.0.1]:42737 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mBCew-0007xb-61
	for submit <at> debbugs.gnu.org; Wed, 04 Aug 2021 04:53:54 -0400
Received: from quimby.gnus.org ([95.216.78.240]:38386)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1mBCeu-0007xN-8D
 for 49844 <at> debbugs.gnu.org; Wed, 04 Aug 2021 04:53:52 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=pFBDe0G5zZAEtZCThV0SbZe1RjRGFTpQ4MItgLwzG5U=; b=UFKTCuMpqbW/2UCNMTLUvmRsfH
 YSS9NXjDsVNI8Wf7Y9ATPoCoygo90//iW17Czg4664AFjVQsHFG0vfA+QDFiCPthCw4rEvmVuRI71
 nU4qSKBzkF/2R5OAduaUZvKDGfp91rWsFpxXg4XeHrHGHB50CoE+FidieYOHnx6vpHpM=;
Received: from [84.212.220.105] (helo=elva)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1mBCel-0005p7-IH; Wed, 04 Aug 2021 10:53:46 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Juri Linkov <juri@HIDDEN>
Subject: Re: bug#49844: Highlight non-selected minibuffer prompt
References: <87h7g7bhxs.fsf@HIDDEN> <87tuk5ejup.fsf@HIDDEN>
 <87wnp1a9f1.fsf@HIDDEN>
Date: Wed, 04 Aug 2021 10:53:43 +0200
In-Reply-To: <87wnp1a9f1.fsf@HIDDEN> (Juri Linkov's message of "Wed, 
 04 Aug 2021 11:41:54 +0300")
Message-ID: <87pmutlhew.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Juri Linkov <juri@HIDDEN> writes: >>> here is the patch
 that implements this feature: >> >> I like it -- but does this need to be
 tied to >> minibuffer-depth-indicate-mode? Indicating that the minibuffer
 isn't >> active in this way ma [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 49844
Cc: 49844 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Juri Linkov <juri@HIDDEN> writes:

>>> here is the patch that implements this feature:
>>
>> I like it -- but does this need to be tied to
>> minibuffer-depth-indicate-mode?  Indicating that the minibuffer isn't
>> active in this way may be attractive even if you don't have that
>> switched on?
>
> Yeah, I don't like tying to minibuffer-depth-indicate-mode too.
> But I have no idea where to put it otherwise.
> Adding a new package for 25 lines makes no sense.

Can't we just put it in minibuffer.el?  (But then there should probably
be a user option to switch it on/off.)

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#49844; Package emacs. Full text available.

Message received at 49844 <at> debbugs.gnu.org:


Received: (at 49844) by debbugs.gnu.org; 4 Aug 2021 08:46:45 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Aug 04 04:46:45 2021
Received: from localhost ([127.0.0.1]:42706 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mBCY1-00073o-88
	for submit <at> debbugs.gnu.org; Wed, 04 Aug 2021 04:46:45 -0400
Received: from relay3-d.mail.gandi.net ([217.70.183.195]:41315)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <juri@HIDDEN>) id 1mBCXz-0006y5-Gk
 for 49844 <at> debbugs.gnu.org; Wed, 04 Aug 2021 04:46:43 -0400
Received: (Authenticated sender: juri@HIDDEN)
 by relay3-d.mail.gandi.net (Postfix) with ESMTPSA id 23FD86000F;
 Wed,  4 Aug 2021 08:46:36 +0000 (UTC)
From: Juri Linkov <juri@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: Re: bug#49844: Highlight non-selected minibuffer prompt
Organization: LINKOV.NET
References: <87h7g7bhxs.fsf@HIDDEN> <87tuk5ejup.fsf@HIDDEN>
Date: Wed, 04 Aug 2021 11:41:54 +0300
In-Reply-To: <87tuk5ejup.fsf@HIDDEN> (Lars Ingebrigtsen's message of "Wed,
 04 Aug 2021 09:42:54 +0200")
Message-ID: <87wnp1a9f1.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (x86_64-pc-linux-gnu)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 49844
Cc: 49844 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

>> here is the patch that implements this feature:
>
> I like it -- but does this need to be tied to
> minibuffer-depth-indicate-mode?  Indicating that the minibuffer isn't
> active in this way may be attractive even if you don't have that
> switched on?

Yeah, I don't like tying to minibuffer-depth-indicate-mode too.
But I have no idea where to put it otherwise.
Adding a new package for 25 lines makes no sense.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#49844; Package emacs. Full text available.

Message received at 49844 <at> debbugs.gnu.org:


Received: (at 49844) by debbugs.gnu.org; 4 Aug 2021 07:43:07 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Aug 04 03:43:07 2021
Received: from localhost ([127.0.0.1]:42540 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mBBYQ-0005mp-V4
	for submit <at> debbugs.gnu.org; Wed, 04 Aug 2021 03:43:07 -0400
Received: from quimby.gnus.org ([95.216.78.240]:37434)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1mBBYO-0005mB-6I
 for 49844 <at> debbugs.gnu.org; Wed, 04 Aug 2021 03:43:05 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=FWYb9MJUG0Jctz4okTes0Hldgd703k/2E1n2iI9tjWc=; b=CZ5DPZsuONgHu+3SSPuL4S97cu
 ZO4NCGVCkWyRaMtxRTXQeFdgFSxqmuR7h1iImmXUPtMtB91K9XMf9XxcpCG6cCJPZ5sVsb3SvabCN
 r1UVVRnkPKAIelROztt5SpDinucko6PkqpWEe1CQ2SCUUCwWlbVmElkBRKrHQw3DVqHw=;
Received: from [84.212.220.105] (helo=elva)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1mBBYF-0005Gs-AH; Wed, 04 Aug 2021 09:42:57 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Juri Linkov <juri@HIDDEN>
Subject: Re: bug#49844: Highlight non-selected minibuffer prompt
References: <87h7g7bhxs.fsf@HIDDEN>
Date: Wed, 04 Aug 2021 09:42:54 +0200
In-Reply-To: <87h7g7bhxs.fsf@HIDDEN> (Juri Linkov's message of "Tue, 
 03 Aug 2021 10:47:59 +0300")
Message-ID: <87tuk5ejup.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  Juri Linkov <juri@HIDDEN> writes: > Severity: wishlist
 > Tags: patch > > As suggested in >
 https://lists.gnu.org/archive/html/emacs-devel/2021-08/msg00011.html
 > here is the patch that implements this feature: 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 49844
Cc: 49844 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Juri Linkov <juri@HIDDEN> writes:

> Severity: wishlist
> Tags: patch
>
> As suggested in
> https://lists.gnu.org/archive/html/emacs-devel/2021-08/msg00011.html
> here is the patch that implements this feature:

I like it -- but does this need to be tied to
minibuffer-depth-indicate-mode?  Indicating that the minibuffer isn't
active in this way may be attractive even if you don't have that
switched on?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#49844; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 3 Aug 2021 08:15:43 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Aug 03 04:15:43 2021
Received: from localhost ([127.0.0.1]:39803 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mApaQ-0007yx-GC
	for submit <at> debbugs.gnu.org; Tue, 03 Aug 2021 04:15:43 -0400
Received: from lists.gnu.org ([209.51.188.17]:43242)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <juri@HIDDEN>) id 1mApaN-0007yo-Ux
 for submit <at> debbugs.gnu.org; Tue, 03 Aug 2021 04:15:40 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:36994)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <juri@HIDDEN>) id 1mApaN-0007Md-Mv
 for bug-gnu-emacs@HIDDEN; Tue, 03 Aug 2021 04:15:39 -0400
Received: from relay11.mail.gandi.net ([217.70.178.231]:37345)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <juri@HIDDEN>) id 1mApaL-0003k5-Ab
 for bug-gnu-emacs@HIDDEN; Tue, 03 Aug 2021 04:15:39 -0400
Received: (Authenticated sender: juri@HIDDEN)
 by relay11.mail.gandi.net (Postfix) with ESMTPSA id 56644100006
 for <bug-gnu-emacs@HIDDEN>; Tue,  3 Aug 2021 08:15:31 +0000 (UTC)
From: Juri Linkov <juri@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: Highlight non-selected minibuffer prompt
Organization: LINKOV.NET
Date: Tue, 03 Aug 2021 10:47:59 +0300
Message-ID: <87h7g7bhxs.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (x86_64-pc-linux-gnu)
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="=-=-="
Received-SPF: pass client-ip=217.70.178.231; envelope-from=juri@HIDDEN;
 helo=relay11.mail.gandi.net
X-Spam_score_int: -25
X-Spam_score: -2.6
X-Spam_bar: --
X-Spam_report: (-2.6 / 5.0 requ) BAYES_00=-1.9, RCVD_IN_DNSWL_LOW=-0.7,
 RCVD_IN_MSPIKE_H2=-0.001, SPF_HELO_NONE=0.001,
 SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.7 (-)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.7 (--)

--=-=-=
Content-Type: text/plain

Severity: wishlist
Tags: patch

As suggested in https://lists.gnu.org/archive/html/emacs-devel/2021-08/msg00011.html
here is the patch that implements this feature:


--=-=-=
Content-Type: text/x-diff
Content-Disposition: inline; filename=minibuffer-depth-nonselected.patch

diff --git a/lisp/mb-depth.el b/lisp/mb-depth.el
index 88003afb40..ed0ebf800b 100644
--- a/lisp/mb-depth.el
+++ b/lisp/mb-depth.el
@@ -47,11 +47,36 @@ minibuffer-depth-indicator
   :group 'minibuffer
   :version "28.1")
 
+(defface minibuffer-depth-nonselected
+  '((t (:background "yellow" :foreground "dark red" :weight bold)))
+  "Face for non-selected minibuffer prompts.
+It's used after leaving the minibuffer window while the minibuffer remains active."
+  :group 'minibuffer
+  :version "28.1")
+
+(defcustom minibuffer-depth-indicate-nonselected t
+  "If non-nil, indicate the non-selected minibuffer.
+Use the face `minibuffer-depth-nonselected'."
+  :type 'boolean
+  :group 'minibuffer
+  :version "28.1")
+
 ;; An overlay covering the prompt.  This is a buffer-local variable in
 ;; each affected minibuffer.
 ;;
-(defvar minibuffer-depth-overlay)
-(make-variable-buffer-local 'minibuffer-depth-overlay)
+(defvar-local minibuffer-depth-overlay nil)
+(defvar-local minibuffer-depth-nonselected-overlay nil)
+
+(defun minibuffer-depth-select (w)
+  (if (eq (window-buffer w) (current-buffer))
+      (when (overlayp minibuffer-depth-nonselected-overlay)
+        (delete-overlay minibuffer-depth-nonselected-overlay))
+    (unless (eq major-mode 'completion-list-mode)
+      (with-current-buffer (window-buffer w)
+        (let ((ov (make-overlay (point-min) (point-max))))
+          (overlay-put ov 'face 'minibuffer-depth-nonselected)
+          (overlay-put ov 'evaporate t)
+          (setq minibuffer-depth-nonselected-overlay ov))))))
 
 ;; This function goes on minibuffer-setup-hook
 (defun minibuffer-depth-setup ()
@@ -68,7 +93,9 @@ minibuffer-depth-setup
                                          'face
                                          'minibuffer-depth-indicator)
                              " ")))
-      (overlay-put minibuffer-depth-overlay 'evaporate t))))
+      (overlay-put minibuffer-depth-overlay 'evaporate t)))
+  (when minibuffer-depth-indicate-nonselected
+    (add-hook 'window-state-change-functions 'minibuffer-depth-select nil t)))
 
 ;;;###autoload
 (define-minor-mode minibuffer-depth-indicate-mode

--=-=-=--




Acknowledgement sent to Juri Linkov <juri@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#49844; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Sat, 6 Nov 2021 19:15:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.